﻿@using MVTest.Models
@using MVTest.Models.ViewModel
@model MatrixViewModel
@{
    Layout = "~/Views/Shared/_LayoutMetronik.cshtml";
}

<div class=" m-heading-1 border-green m-bordered">
    <div class="container">
        @using (Html.BeginForm("LoadMatrix", "Matrix", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            <div class="row">
                <div class="col-lg-4">
                    @Html.ValidationMessageFor(m => m.FileObj, "", new { @class = "text-danger" })
                    <input class="btn green btn-outline" type="file" name="@Html.NameFor(m=>m.FileObj)" id="@Html.IdFor(m=>m.FileObj)" /><br><br>
                </div>
                <div class="col-lg-4">
                    <input class="btn green-sharp btn-outline  btn-block sbold uppercase" type="submit" value="Upload matrix" />
                </div>
            </div>


        }
    </div>

    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                @using (Html.BeginForm("TransformMatrix", "Matrix", FormMethod.Post))
                {
                    @Html.HiddenFor(m => m.MatrixView.Columns)
                    @Html.HiddenFor(m => m.MatrixView.Rows)
                    for (int i = 0; i < Model.MatrixView.Columns; i++)
                    {
                        for (int j = 0; j < Model.MatrixView.Rows; j++)
                        {
                            @Html.HiddenFor(m => m.MatrixView.Values[i][j])
                        }
                    }

                    <input class="btn green btn-outline" type="submit" value="Transform matrix" />
                }
            </div>
            <div class="col-lg-4">
                @using (Html.BeginForm("ExportMatrix", "Matrix", FormMethod.Post))
                {
                    @Html.HiddenFor(m => m.MatrixView.Columns)
                    @Html.HiddenFor(m => m.MatrixView.Rows)
                    for (int i = 0; i < Model.MatrixView.Columns; i++)
                    {
                        for (int j = 0; j < Model.MatrixView.Rows; j++)
                        {
                            @Html.HiddenFor(m => m.MatrixView.Values[i][j])
                        }
                    }

                    <input class="btn green btn-outline" type="submit" value="Export matrix" />
                }
            </div>
            <div class="col-lg-4">
                @using (Html.BeginForm("RandomMatrix", "Matrix", FormMethod.Post))
                {
                    <input class="btn green btn-outline" type="submit" value="Generate matrix" />
                }
            </div>
        </div>
    </div>
</div>
<div class="portlet light bordered">
    <div class="portlet-title">
        <div class="caption">
            <i class="fa fa-arrows-h font-green"></i>
            <span class="caption-subject font-green bold uppercase">Rows: @Model.MatrixView.Rows</span>
        </div>
        <div class="caption" style="padding-left:20px">
            <i class="fa fa-arrows-v font-green"></i>
            <span class="caption-subject font-green bold uppercase">Columns: @Model.MatrixView.Columns</span>
        </div>
        <div class="portlet-body">
            <div class="table-scrollable">
                @ShowMatrix(Model.MatrixView)
            </div>
        </div>
    </div>
</div>

@helper ShowMatrix(Matrix matrix)
{    
    <table class="table table-hover">
        <tbody>
            @for (int i = 0; i < matrix.Columns; i++)
            {
                <tr>
                    @for (int j = 0; j < matrix.Rows; j++)
                    {
                        <td style="padding-right:10px;">
                            @Html.DisplayFor(m => m.MatrixView.Values[i][j])
                        </td>
                    }
                </tr>
            }
        </tbody>
    </table>
}